| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
cutlass::reference::host::detail::TensorFillRandomUniformFunc< Element, Layout > Struct Template Reference

Computes a random Gaussian distribution. More...

`#include <tensor_fill.h>`

Collaboration diagram for cutlass::reference::host::detail::TensorFillRandomUniformFunc< Element, Layout >:
[legend]

## Public Types
using | TensorView = TensorView< Element, Layout >

## Public Member Functions
| TensorFillRandomUniformFunc (TensorView view_=TensorView(), RandomUniformFunc< Element > func_=RandomUniformFunc< Element >())
| Construction of Gaussian RNG functor. More...
void | operator() (Coord< Layout::kRank > const &coord) const
| Compute random value and update RNG state. More...

## Public Attributes
TensorView | view
RandomUniformFunc< Element > | func

## Detailed Description

### template<typename Element, typename Layout>
struct cutlass::reference::host::detail::TensorFillRandomUniformFunc< Element, Layout >

< Layout function

## Member Typedef Documentation

template<typename Element, typename Layout>

using cutlass::reference::host::detail::TensorFillRandomUniformFunc< Element, Layout >::TensorView = TensorView<Element, Layout>

## Constructor & Destructor Documentation

template<typename Element, typename Layout>

cutlass::reference::host::detail::TensorFillRandomUniformFunc< Element, Layout >::TensorFillRandomUniformFunc | ( | TensorView | view_ = `TensorView()`,
|  | RandomUniformFunc< Element > | func_ = `RandomUniformFunc<Element>()`
| ) |  |
| inline

## Member Function Documentation

template<typename Element, typename Layout>

void cutlass::reference::host::detail::TensorFillRandomUniformFunc< Element, Layout >::operator() | ( | Coord< Layout::kRank > const & | coord | ) | const
| inline

## Member Data Documentation

template<typename Element, typename Layout>

RandomUniformFunc<Element> cutlass::reference::host::detail::TensorFillRandomUniformFunc< Element, Layout >::func

template<typename Element, typename Layout>

TensorView cutlass::reference::host::detail::TensorFillRandomUniformFunc< Element, Layout >::view

The documentation for this struct was generated from the following file:

- host/tensor_fill.h